#
# spec file for package python-PasteDeploy
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-PasteDeploy
Version:        1.5.2
Release:        1.17
Url:            http://pythonpaste.org/deploy/
Summary:        Load, configure, and compose WSGI applications and servers
License:        MIT
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/P/PasteDeploy/PasteDeploy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Paste
Requires:       python-setuptools
%ifpython2
Obsoletes:      %{oldpython}-pastedeploy < %{version}
Provides:       %{oldpython}-pastedeploy = %{version}
%endif
%ifpython3
Provides:       python3-pastedeploy = %{version}
Obsoletes:      python3-pastedeploy < %{version}
%endif
BuildArch:      noarch
%python_subpackages

%description
This tool provides code to load WSGI applications and servers from URIs; these
URIs can refer to Python Eggs for INI-style configuration files. Paste Script
provides commands to serve applications based on this configuration file.

%prep
%setup -q -n PasteDeploy-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README docs/license.txt docs/news.txt docs/index.txt
%{python_sitelib}/*

%changelog
* Sat May  6 2017 toddrme2178@gmail.com
- Fix provides/obsoletes
* Wed Apr 19 2017 hpj@urpla.net
- fix source url
* Wed Apr 19 2017 toddrme2178@gmail.com
- Implement single-spec version.
* Fri Feb  6 2015 hpj@urpla.net
- update to version 1.5.2
  * Fixed Python 3 issue in paste.deploy.util.fix_type_error()
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Jun 13 2013 dmueller@suse.com
- add python-distribute dependency
* Sun May 27 2012 highwaystar.ru@gmail.com
- python3 package added
* Thu Sep  1 2011 saschpe@suse.de
- Added Provides/Obsoletes for python-pastedeploy
* Thu Sep  1 2011 saschpe@suse.de
- Initial version
